Bug 25343 - Use of item in review/comment feature is misleading
Summary: Use of item in review/comment feature is misleading
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-01 15:29 UTC by Katrin Fischer
Modified: 2020-05-11 22:09 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25343: Use of item in review/comment feature is misleading (2.08 KB, patch)
2020-05-07 15:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25343: Use of item in review/comment feature is misleading (2.13 KB, patch)
2020-05-08 06:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-01 15:29:33 UTC
When you have reviewson activated, you can add comments to titles in the OPAC. There is this text showing:

There are no comments for this item.
Post your comments on this item. 

This can lead to wrong translations as items are usually translated thinking of the physical items (not the same word in some languages like German). I suggest changing it to be more clear.

"title" would be my suggestion.
Comment 1 Owen Leonard 2020-05-07 15:05:16 UTC
Created attachment 104518 [details] [review]
Bug 25343: Use of item in review/comment feature is misleading

This patch updates the terminology associated with leaving a comment in
the OPAC. the word "item" is replaced with the more specific "title."

To test, apply the patch and make sure the  reviewson system preference
is enabled.

 - Log in to the OPAC and view a bibliographic record which has no
   comments.
 - Under the "comments" tab, verify that the text in the tab says
   "There are no comments on this title. Post your comments on this
   title."
Comment 2 Katrin Fischer 2020-05-08 06:18:42 UTC
Created attachment 104555 [details] [review]
Bug 25343: Use of item in review/comment feature is misleading

This patch updates the terminology associated with leaving a comment in
the OPAC. the word "item" is replaced with the more specific "title."

To test, apply the patch and make sure the  reviewson system preference
is enabled.

 - Log in to the OPAC and view a bibliographic record which has no
   comments.
 - Under the "comments" tab, verify that the text in the tab says
   "There are no comments on this title. Post your comments on this
   title."

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-05-08 06:19:17 UTC
Admittedly trying to speed up some last minute string fixes :)
Comment 4 Martin Renvoize 2020-05-11 09:01:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-11 22:09:53 UTC
Backported to 19.11.x for 19.11.06